# PartType

## Overview

PartType is an Enum that defines the default shape types provided by Part.

This is used in the Shape property of Part and determines the appearances of Part.

## Items

| Name     | Value | Description                           |
| -------- | ----- | ------------------------------------- |
| Ball     | 0     | Represents a sphere shape.            |
| Block    | 1     | Represents a rectangular block shape. |
| Cylinder | 2     | Represents a cylinder shape.          |

## See also

{% content-ref url="/pages/2PUPiXkMYtQOh5iPWQUD" %}
[Part](/development/api-reference/classes/part.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/parttype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
